Subject: Re: [bug#30797] [PATCH 1/2] gnu: Add emacs-exec-path-from-shell

From: Oleg Pykhalov <[email-masked]>
Date: Fri, 16 Mar 2018 19:16:06 +0300

Konrad Hinsen <[email-masked]> writes:

[…]

>> And in the description, we could use ‘@var’ instead of ‘@code’:
>>
>> -This library allows the user to set Emacs @code{exec-path} and
>> +This library allows the user to set Emacs @var{exec-path} and
>
> I actually hesitated in this case, after consulting the Texinfo manual:
>
>    7.1.7 @var{metasyntactic-variable}
>
>    Use the @var command to indicate metasyntactic variables. A
>    metasyntactic variable is something that stands for another piece of
>    text. For example, you should use a metasyntactic variable in the
>    documentation of a function to describe the arguments that are passed
>    to that function.
>
>    Do not use @var for the names of normal variables in computer
>    programs. These are specific names, so @code is correct for them
>    (@code). For example, the Emacs Lisp variable texinfo-tex-command is
>    not a metasyntactic variable; it is properly formatted using @code.
>
> I must confess I don't understand the difference between a metasyntactic
> variable and a normal variable. The examples don't help: for me, a
> function argument is just a pre-initialized "normal" variable.

From Emacs source code in ‘doc/lispref/files.texi’:

    Typical values for @var{path} are @code{exec-path}
    (@pxref{Subprocess Creation}) when looking for executable programs,
    or @code{load-path} (@pxref{Library Search}) when looking for Lisp
    files.  If @var{filename} is absolute, @var{path} has no effect, but
    the suffixes in @var{suffixes} are still tried.

A proper piece of sentence according to a quote above I could think of:

   This library allows the user to set Emacs @code{exec-path} and
   @var{path} from the shell @env{PATH}

WDYT?

Thanks,
Oleg.